# name: Deploy FastAPI Application

# on:
#   push:
#     branches: [ main ]

# jobs:
#   deploy:
#     runs-on: ubuntu-latest
#     steps:
#       # - uses: http://github.com/actions/checkout@v3  
#       - name: Deploy to server
#         uses: appleboy/ssh-action@v1.2.0
#         with:
#           host: ${{ secrets.SERVER_HOST }}
#           username: ${{ secrets.SERVER_USERNAME }}
#           password: ${{ secrets.PASSWORD }}
#           script: |
#             # Переходим в директорию проекта
            
#             cd ~/web/sybiko_website
            
#             # Получаем последние изменения из git
#             git pull origin main
            
#             # Собираем новый образ
#             docker-compose build
            
#             # Перезапускаем сервисы
#             docker-compose up -d
            
#             # Очищаем неиспользуемые образы
#             docker image prune -f



name: Deploy FastAPI Application

on:
  push:
    branches: [ main ]

jobs:
  deploy:
    runs-on: ubuntu-latest
    steps:
      # - name: Checkout code
      #   uses: actions/checkout@v3  # Используем стандартное действие для клонирования репозитория
      - name: Deploy to server
        run: |
          ls
          pwd
          ssh -i ${{ secrets.SECRET_KEY }} -o StrictHostKeyChecking=no "${{ secrets.SERVER_USERNAME }}@${{ secrets.SERVER_HOST }}" << 'ENDSSH'
          # Переходим в директорию проекта
          cd ~/web/sybiko_website

          # Получаем последние изменения из git
          git pull origin main

          # Собираем новый образ
          docker-compose build

          # Перезапускаем сервисы
          docker-compose up -d

          # Очищаем неиспользуемые образы
          docker image prune -f
          ENDSSH





# name: Deploy FastAPI Application

# on:
#   push:
#     branches: [ main ]

# jobs:
#   deploy:
#     runs-on: ubuntu-latest  # Указываем, что используем собственный Runner
#     steps:
#       - name: Checkout code
#         uses: actions/checkout@v3  # Используем стандартное действие для клонирования репозитория

#       - name: Deploy to server
#         run: |
#           # Переходим в директорию проекта
#           cd /root/web/sybiko_website

#           # Получаем последние изменения из git
#           git pull origin main

#           # Собираем новый образ
#           docker-compose build

#           # Перезапускаем сервисы
#           docker-compose up -d

#           # Очищаем неиспользуемые образы
#           docker image prune -f
